---
title: irc
author: jakew
date: 2021-04-09
---
irc is a protocol for talking to people online in real-time. irc is a great way to get in touch with others on south london, getting help and getting quick answers to questions you might have. since irc has been around for so long, there's lots of nice, easy ways to connect.

## intro to irc

irc has been around for years now, which makes it a well established chat protocol. these days, lots of irc communities have moved onto newer chat platforms, but irc still remains a lightweight and simple way to chat to groups of other people.

if you've not used irc before, here are some things you should know especially if you're coming from modern chat apps.

- **you can only get messages on irc when you are connected**. if you disconnect, people can no longer send you messages and you can't see what people have sent while you have been away. although there's ways to get around this which will be mentioned below.
- **you don't have to make an account**. if you want to start chatting on irc, you just need to choose a name and join. this means that someone could accidentally use your name while you are away. we'll talk more about this in the 'how to use irc' section.
- **irc is made up of servers**, each server hosts a number of channels which people can use to talk in. you can only talk to people on the same server as you, but you can join more than one server at a time. for example, there's tilde.chat for people using tildes like south london to use.
- **each irc server is made up of channels**, each channel has a # at the start to indicate that it is a channel. each channel usually has a purpose, so for example on tilde.chat there's `#southlondon` for talk about south london and `#meta` for everyone to talk in.

## connecting

the main place you'll want to chat is on tilde.chat. here are the connection details for your client of choice:

- **server:** irc.tilde.chat
- **port:** 6697
- **ssl/tls:** yes

### web

one of the easiest ways to connect to irc is through a web client. there'll usually be a specific one for each server that you want to connect to. for connecting to tilde.chat, you need to use [kiwi.tilde.chat](https://kiwi.tilde.chat/?channel=#southlondon).

using a web client like kiwi is good if you've got something quick to ask, but it quickly becomes difficult to use because you have to type in your nickname every time and join all your channels each time. so if you want to use irc a lot, it's best to go for one of the other methods of connecting.

when going to [kiwi.tilde.chat](https://kiwi.tilde.chat/?channel=#southlondon), you'll see there's a place to type a nickname that you want to use for chatting, and a channel that you want to initially connect to. along the left side you have the servers and channels that you are connected to, in the middle you have the chat log and on the right side you have a list of users that are using the channel.

### on south london (or a linux shell)

a more difficult way to connect is through a linux shell using one of these clients:

- [`weechat`](https://weechat.org/)
- [`irssi`](https://irssi.org/)

these have quite a steep learning curve with these as you need to learn and remember commands and shortcuts for navigating around the interface. you may be able to find some good guides for using any of the clients on the internet.

one of the best reasons for connecting to irc on south london is that you can leave your client running so that when you leave come back, you can read messages that were sent to you while you were away. you can do this by running your client within `tmux` or `byobu`.

### windows

you can use these clients for windows:

- [hexchat](https://hexchat.github.io/) - free, oss
- [mirc](https://www.mirc.com/) - paid (30 day trial then ~£15)

### linux

you can use these clients for linux:

- [`weechat`](https://weechat.org/) - free, oss
- [`irssi`](https://irssi.org/) - free, oss
- [hexchat](https://hexchat.github.io/) - free, oss

### macos

you can use these clients for macos:

- [textual](https://www.codeux.com/textual/) - paid (free trial, then ~£6)
- [igloo irc](https://apps.apple.com/us/app/igloo-irc/id1331074069) - paid (~£4)

### on the go: mobile/tablet

you can use these clients for android:

- [irccloud](https://play.google.com/store/apps/details?id=com.irccloud.android) - free
- [androirc](https://play.google.com/store/apps/details?id=com.androirc) - free

you can use these clients for ios:

- [palaver](https://apps.apple.com/us/app/palaver-irc/id538073623) - paid (~£2)
- [igloo irc](https://apps.apple.com/us/app/igloo-irc/id1331074069) - paid (freemium, ~£5)
- [colloquy](https://apps.apple.com/us/app/colloquy-irc-client/id302000478) - paid (~£2)

### xmpp

use the [xmpp guide](./xmpp.html) to get setup. then you can connect to tilde.chat channels using the gateway:

```
#southlondon@biboumi.tilde.team
```

and other channels by replacing `#southlondon` with the channel you'd like to join.

### bouncer (advanced)

if you get into irc more, you might be interested in using an irc bouncer.

an irc bouncer is a 'middle-man' between you and an irc server. it connects to a network like a normal client. you connect to the bouncer, rather than the network directly. when you disconnect it will stay connected to the network and when you reconnect it will show you the messages that were sent while you were away.

one of the most popular bouncers is [`znc`](https://znc.in/).

## how to use irc

as with most things, you'll quickly pick up irc once you start using it, so connect in and start talking to people! this section should help you get the basics you need to start talking to people

on most clients, you'll have a chat log between you and the server, one for each channel you connect to and one for each person that you private message.

the chat log between you and the server will show connection status and the servers motd, which is a message welcoming you to the server. you may also get some broadcasts to this log such as maintaince warnings and things. you probably won't be in there a great deal though.

### channels

channels are a place for sending messages about a particular topic. each channel starts with #.

when you connect to a channel, you'll be shown it's topic which is a message that usually says what the channel is for, and perhaps some information or rules about things that go on in that channel. any messages you send will be sent to everyone in the channel. you may have a list of users as well, some users might have a symbol infront of their name, here is what they mean.

- `~` **owner** - this is the person that owns that particular channel
- `&` **admin** - this is someone who has been given additional privileges by the owner, they usually keep things in order
- `@` **operator** - this is similar to an admin, but with slightly lower privileges
- `+` **voiced** - this is signifies someone who is a favoured person, usually someone who is trusted

### chatting

when chatting, message you send will be sent to everyone in the channel, you can mention people by just including their name. if you are specifically talking to somebody, you should start your message with their name and a colon like this:

<pre><code><i>&lt;alice&gt;</i> how do i join a channel?
<i>&lt;chris&gt;</i> tea is the best
<i>&lt;bob&gt;</i>   <b>alice:</b> you can use /join
</code></pre>

### commands

there are a couple of basic commands that are worth knowing.

- `/join #channel` - join a given channel, if you're using a client with a gui there might be a button to do this
- `/leave` - leave the channel that you are currently on.
- `/msg name message` - send someone a private message.
- `/nick name` - change your nickname to something else.

### services

most irc servers have services, these are special bots that give you privileges and protection.

#### protecting your nickname

one of the most important services is nickserv which is used to protect your nickname so that other people don't accidentally use it.

1. make sure you are using the nickname you want to register, if not use `/nick name` to change it.
2. send the command `/msg NickServ REGISTER password you@example.com` making sure to choose a secure password and putting in your email. your email is used for recovery purposes and your password is used to identify yourself when you login with your nickname.
3. when you login, send the command `/msg NickServ IDENTIFY name password` to recover your registered nickname. on some irc networks you will not be able to speak with a registered nickname until you identify yourself.

**note:** rather than talking to nickserv when you login, your client might let you setup sasl where you can send your password when you connect. if your client supports it, your username will be your nickname and your password will be the one you setup with nickserv.

### bots

some irc networks or channels might have automated users called bots. these usually provide a useful feature to a channel, such as notifications or link previews. sometimes they will be given voiced permission (i.e. their name will start with a +) to help you distinguish them from normal users.

the main bot on tilde.chat is tildebot. you can see which commands you can send them by using `/msg tildebot help`. it will also reply to commands in channels if you put a comma in front of your command, for example `,dns southlondon.cc`. you'll also notice if you send a link, it may reply with the title of the page you send.

## that's it

that's a basic introduction to irc, like i said, the best way to learn is by getting involved and starting to talk to people. everyone on tilde.chat is friendly so don't worry about doing anything wrong. if you have any questions, send them in `#meta` or `#southlondon`.
